### Method

# Gtk TreeStore insert

#### Declaration [src]

    void
    gtk_tree_store_insert (
      GtkTreeStore* tree_store,
      GtkTreeIter* iter,
      GtkTreeIter* parent,
      int position
    )

#### Description [src]

Creates a new row at `position`. If parent is non-`NULL`, then the row will be made a child of `parent`. Otherwise, the row will be created at the toplevel. If `position` is -1 or is larger than the number of rows at that level, then the new row will be inserted to the end of the list. `iter` will be changed to point to this new row. The row will be empty after this function is called. To fill in values, you need to call gtk_tree_store_set() or gtk_tree_store_set_value().

#### Parameters

`iter` | `GtkTreeIter`
| An unset `GtkTreeIter` to set to the new row.
| The argument will be set by the function.
| The data is owned by the caller of the function.
`parent` | `GtkTreeIter`
| A valid `GtkTreeIter`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`position` | `int`
| Position to insert the new row, or -1 for last.